Bug 978119 - RFE - resolve entities before payload is built or strings are sent to Zanata
Summary: RFE - resolve entities before payload is built or strings are sent to Zanata
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.3
Assignee: Lee Newson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1013882
TreeView+ depends on / blocked
 
Reported: 2013-06-26 02:39 UTC by Misty Stanley-Jones
Modified: 2014-06-18 07:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-03 22:16:32 UTC


Attachments (Terms of Use)

Description Misty Stanley-Jones 2013-06-26 02:39:33 UTC
Entities are quite convenient, but they are a nightmare for translation. What if we resolved entities the same way we will be resolving conditional statements, before the payload is generated or the strings are sent to Zanata? This would enable ECS use of entities while alleviating the downsides of entities.

Comment 1 Lee Newson 2013-11-21 03:09:21 UTC
Added in 1.3-SNAPSHOT build 201311211258

When pushing to Zanata the Topic XML is now processed to resolve any custom entities that are defined in the Content Spec "Entities" meta data. When syncing the same logic is applied to the XML before the sync is performed to ensure that the source strings match.

Technical Notes:

A new field on the TranslatedTopic table has been added to store the custom entities, this means that like conditions, it makes it easy to see what was resolved for the topic from it's base content. It also means that there is a lot less rest calls that are required to be made to find out the original content spec information (3 per topic to be precise).

Comment 4 Matthew Casperson 2013-11-27 20:42:52 UTC
Custom entities in the Abstract of a content spec are not preprocessed when sent to Zanata e.g. an abstact of

Abstract = <para>&TEST;</para>

Appears in Zanata as

<para>&TEST;</para>

Comment 5 Matthew Casperson 2013-11-27 20:43:13 UTC
The above was using CSProcessor client version: 1.3-SNAPSHOT, Build 201311251152

Comment 6 Lee Newson 2013-11-28 23:28:43 UTC
Fixed in 1.3-SNAPSHOT build 201311290923

The content spec metadata wasn't being processed at all, so only topics where getting their custom entities resolved. Now all the translatable metadata nodes are processed to resolve any entities before being sent to Zanata.

Comment 8 Matthew Casperson 2013-11-28 23:47:25 UTC
Tested a push of a spec with custom entities used by the abstract and subtitle, as well as topics that used the entities. All entities were replaced with text in Zanata.

Comment 9 Jared MORGAN 2013-12-04 00:37:36 UTC
relevant content from a docs perspective noted in topic 25747


Note You need to log in before you can comment on or make changes to this bug.